# Generated by rust2rpm 21
# * no_panic tests require LTO to work correctly, but LTO causes LLVM crashes:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2142648
%bcond_with check
%global debug_package %{nil}

%global crate ahash

Name:           rust-%{crate}
Version:        0.8.2
Release:        %mkrel 1
Summary:        Non-cryptographic hash function using AES-NI for high performance
Group:          Development/Other

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ahash
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * disable atomic-polyfill support to work around rust-packaging limitations:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2152697
# * drop unused benchmarks and benchmark-only criterion dev-dependency
# * drop profiles which set incompatible compiler flags
Patch:          ahash-fix-metadata.diff

BuildRequires:  rust-packaging >= 21
BuildRequires:  crate(getrandom/default) >= 0.2.3
BuildRequires:  crate(once_cell/alloc) >= 1.8.0
BuildRequires:  crate(once_cell/unstable)
BuildRequires:  crate(version_check/default) >= 0.9.0
%if %{with check}
BuildRequires:  crate(criterion/default) >= 0.3.2
BuildRequires:  crate(fnv/default) >= 1.0.5
BuildRequires:  crate(fxhash/default) >= 0.2.1
BuildRequires:  crate(hex/default) >= 0.4.2
BuildRequires:  crate(no-panic/default) >= 0.1.10
BuildRequires:  crate(rand/default) >= 0.7.3
BuildRequires:  crate(seahash/default) >= 4.0.0
BuildRequires:  crate(serde_json/default) >= 1.0.59
%endif

%global _description %{expand:
Non-cryptographic hash function using AES-NI for high performance.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/FAQ.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compile-time-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compile-time-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "compile-time-rng" feature of the "%{crate}" crate.

%files       -n %{name}+compile-time-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const-random-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const-random-devel %{_description}

This package contains library source intended for building other packages which
use the "const-random" feature of the "%{crate}" crate.

%files       -n %{name}+const-random-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+getrandom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getrandom-devel %{_description}

This package contains library source intended for building other packages which
use the "getrandom" feature of the "%{crate}" crate.

%files       -n %{name}+getrandom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "no-rng" feature of the "%{crate}" crate.

%files       -n %{name}+no-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+runtime-rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+runtime-rng-devel %{_description}

This package contains library source intended for building other packages which
use the "runtime-rng" feature of the "%{crate}" crate.

%files       -n %{name}+runtime-rng-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# remove benchmark sources from non-standard path in tests/
rm tests/{bench.rs,map_tests.rs}

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sat Dec 17 2022 guillomovitch <guillomovitch> 0.8.2-1.mga9
+ Revision: 1924173
- new version 0.8.2

* Tue Nov 01 2022 guillomovitch <guillomovitch> 0.7.6-4.mga9
+ Revision: 1900848
- drop const-random subpackage

* Fri Jun 24 2022 papoteur <papoteur> 0.7.6-3.mga9
+ Revision: 1866011
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 0.7.6-2.mga9
+ Revision: 1821112
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 guillomovitch <guillomovitch> 0.7.6-1.mga9
+ Revision: 1786694
- imported package rust-ahash


* Mon Feb 28 2022 Guillaume Rousse <guillomovitch@gmail.com> - 0.7.6-1
- Initial package
